API reference

GET /api/v1/services

Services deployed under the account.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "svc_xf6vguizrhjngj",
      "created_at": "2024-07-10T09:01:10Z",
      "name": "indexer",
      "runtime": "container",
      "replicas": 3,
      "status": "running"
    },
    {
      "id": "svc_j48slrix8uh8au",
      "created_at": "2024-08-28T07:08:11Z",
      "name": "ingest",
      "runtime": "container",
      "replicas": 6,
      "status": "running"
    },
    {
      "id": "svc_vh295pk57e7xv6",
      "created_at": "2024-10-06T04:49:44Z",
      "name": "gateway",
      "runtime": "function",
      "replicas": 5,
      "status": "running"
    },
    {
      "id": "svc_fxmb3jbntyh4bq",
  ...

Example

curl -s https://cdn.kelpstream.com/api/v1/services